- HTTP request
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Lists associations of a specified target, i.e., organization or folder.
Use this API to read Cloud Armor policies. Previously, alpha and beta versions of this API were used to read firewall policies. This usage is now disabled for most organizations. Use firewallPolicies.listAssociations instead.
HTTP request
GET https://compute.googleapis.com/compute/beta/locations/global/securityPolicies/listAssociations
The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog
Query parameters
| Parameters | |
|---|---|
targetResource |
The target resource to list associations. It is an organization, or a folder. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "kind": string, "associations": [ { "name": string, "attachmentId": string, "excludedProjects": [ string ], "excludedFolders": [ string ], "securityPolicyId": string, "shortName": string, "displayName": string } ] } |
| Fields | |
|---|---|
kind |
[Output Only] Type of securityPolicy associations. Always |
associations[] |
A list of associations. |
associations[].name |
The name for an association. |
associations[].attachmentId |
The resource that the security policy is attached to. |
associations[].excludedProjects[] |
A list of projects to exclude from the security policy. |
associations[].excludedFolders[] |
A list of folders to exclude from the security policy. |
associations[].securityPolicyId |
[Output Only] The security policy ID of the association. |
associations[].shortName |
[Output Only] The short name of the security policy of the association. |
associations[].displayName |
[Output Only] The display name of the security policy of the association. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.organizations.listAssociations
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.